
//==================//
// EXERCISE 102
// REVISED JAN 2025
//==================//

/* Data set used */
use melanoma, clear
keep if stage==1


/* Kaplan-Meier (survival time in years) */
stset surv_yy, failure(status==1)
sts list

/* Kaplan-Meier (survival time in months) */
stset surv_mm, failure(status==1)
sts list


/* Actuarial (Life table) method */

/* Generate a new failure variable */
generate csr_fail=0
replace csr_fail=1 if status==1
	// an alternative way of doing this: recode status (1=1) (nonmissing=0), gen(csr_fail)

/* Life table */
ltable surv_yy csr_fail
ltable surv_mm csr_fail
